﻿using System.ComponentModel;
using System.ComponentModel.DataAnnotations;

namespace LiveChat.Models
{
    public class MessageModel
    {
        [Required] // påkrevd
        [DataType(DataType.Text)] // datatype er tekst
        [StringLength(200, ErrorMessage = "Meldingen din er for lang! (maks 200 bokstaver)")] // sett maksimal lengde til 200 bokstaver
        [DisplayName("Skriv en melding")] // navnet til Message på appen
        public string? Message { get; set; }

        [Required] // påkrevd
        [DataType(DataType.Text)] // datatype er tekst
        [StringLength(16, ErrorMessage = "Navnet ditt er for langt! (maks 16 bokstaver)")] // sett maksimal lenge til 16 bokstaver
        [DisplayName("Navnet ditt")] // navnet til User på appen
        public string? User { get; set; }
    }
}
